Bug 1328951 - Review Request: commissaire-client - CLI for Commissaire
Summary: Review Request: commissaire-client - CLI for Commissaire
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-20 17:33 UTC by Matthew Barnes
Modified: 2016-07-01 18:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-01 18:21:56 UTC
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Matthew Barnes 2016-04-20 17:33:29 UTC
Spec URL: https://mbarnes.fedorapeople.org/commissaire/commissaire-client.spec
SRPM URL: https://mbarnes.fedorapeople.org/commissaire/commissaire-client-0.0.1rc3-1.fc23.src.rpm

Description:
Command line tools for Commissaire.

Fedora Account System Username: mbarnes


See also the server package review:
https://bugzilla.redhat.com/show_bug.cgi?id=1328892

Comment 1 William Moreno 2016-06-01 21:39:29 UTC
I will recomend to include:

Provides: commctl

Comment 2 Matthew Barnes 2016-06-02 18:27:41 UTC
Good call, updated spec and srpm.

SRPM URL: https://mbarnes.fedorapeople.org/commissaire/commissaire-client-0.0.1rc3-2.fc23.src.rpm

Spec diff:

@@ -1,6 +1,6 @@
 Name:           commissaire-client
 Version:        0.0.1rc3
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        CLI for Commissaire
 License:        LGPLv2+
 URL:            http://github.com/projectatomic/commctl
@@ -16,9 +16,11 @@ BuildRequires:  python-mock
 BuildRequires:  python-nose
 BuildRequires:  python-flake8

-Requires:  python-setuptools
-Requires:  py-bcrypt
-Requires:  PyYAML
+Requires:       python-setuptools
+Requires:       py-bcrypt
+Requires:       PyYAML
+
+Provides:       commctl

 %description
 Command line tools for Commissaire.
@@ -48,6 +50,9 @@ Command line tools for Commissaire.


 %changelog
+* Thu Jun 02 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-2
+- Add Provides: commctl
+
 * Wed Apr 20 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-1
 - Update for RC3.

Comment 3 William Moreno 2016-06-03 18:45:56 UTC
Package Review
==============

Issues:
=======
- Package contains BR: python2-devel or python3-devel
BR must python2-devel

Also for Fedora packaging it is preferred to build using python3.

- Check packaging guideline about pre relases versión to fix the rpmlint issue about bad versión format.

- Does this package requires commissaire at runtime or can work with remote hosts?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: commissaire-client-0.0.1rc3-2.fc25.noarch.rpm
          commissaire-client-0.0.1rc3-2.fc25.src.rpm
commissaire-client.noarch: E: invalid-version 0.0.1rc3
commissaire-client.noarch: W: no-manual-page-for-binary commctl
commissaire-client.src: E: invalid-version 0.0.1rc3
commissaire-client.src:23: W: unversioned-explicit-provides commctl
commissaire-client.src:40: W: macro-in-comment %{__python2}
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
commissaire-client.noarch: E: invalid-version 0.0.1rc3
commissaire-client.noarch: W: no-manual-page-for-binary commctl
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Requires
--------
commissaire-client (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    py-bcrypt
    python(abi)
    python-setuptools

Provides
--------
commissaire-client:
    commctl
    commissaire-client

Source checksums
----------------
https://github.com/projectatomic/commctl/archive/0.0.1rc3.tar.gz :
  CHECKSUM(SHA256) this package     : b8b7bb6b3a1394fe71766eaada10b1e0ea5e12568e0ef49aa325952dd843e938
  CHECKSUM(SHA256) upstream package : b8b7bb6b3a1394fe71766eaada10b1e0ea5e12568e0ef49aa325952dd843e938

Comment 4 Matthew Barnes 2016-06-06 20:19:17 UTC
(In reply to William Moreno from comment #3)
> - Does this package requires commissaire at runtime or can work with remote
> hosts?

commctl talks to commissaire over HTTP so no direct dependency.

I switched commctl to python3 and fixed the package version.

----

SRPM URL: https://mbarnes.fedorapeople.org/commissaire/commissaire-client-0.0.1-0.3.rc3.fc23.src.rpm

Spec diff:

@@ -1,24 +1,26 @@
+%global prerelease rc3
+
 Name:           commissaire-client
-Version:        0.0.1rc3
-Release:        2%{?dist}
+Version:        0.0.1
+Release:        0.3.%{prerelease}%{?dist}
 Summary:        CLI for Commissaire
 License:        LGPLv2+
 URL:            http://github.com/projectatomic/commctl
-Source0:        https://github.com/projectatomic/commctl/archive/%{version}.tar.gz
+Source0:        https://github.com/projectatomic/commctl/archive/%{version}%{prerelease}.tar.gz
 
 BuildArch:      noarch
 
-BuildRequires:  python-devel
+BuildRequires:  python3-devel
 
 # For tests
-BuildRequires:  python-coverage
-BuildRequires:  python-mock
-BuildRequires:  python-nose
-BuildRequires:  python-flake8
-
-Requires:       python-setuptools
-Requires:       py-bcrypt
-Requires:       PyYAML
+BuildRequires:  python3-coverage
+BuildRequires:  python3-mock
+BuildRequires:  python3-nose
+BuildRequires:  python3-flake8
+
+Requires:       python3-setuptools
+Requires:       python3-py-bcrypt
+Requires:       python3-PyYAML
 
 Provides:       commctl
 
@@ -26,18 +28,18 @@ Provides:       commctl
 Command line tools for Commissaire.
 
 %prep
-%autosetup -n commctl-%{version}
+%autosetup -n commctl-%{version}%{prerelease}
 
 
 %build
-%py2_build
+%py3_build
 
 %install
-%py2_install
+%py3_install
 
 %check
 # XXX: Issue with the coverage module.
-#%{__python2} setup.py nosetests
+#%{__python3} setup.py nosetests
 
 
 %files
@@ -46,10 +48,15 @@ Command line tools for Commissaire.
 %doc CONTRIBUTORS
 %doc MAINTAINERS
 %{_bindir}/commctl
-%{python2_sitelib}/*
+%{python3_sitelib}/*
 
 
 %changelog
+* Mon Jun 06 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1-0.3.rc3
+- Switch to python3.
+- Move pre-release indicator ('rc3') to Release tag for compliance with
+  packaging guidelines.
+
 * Thu Jun 02 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-2
 - Add Provides: commctl

Comment 5 William Moreno 2016-06-06 22:29:46 UTC
Package Aproved
===============

Comment 6 Matthew Barnes 2016-06-07 01:26:21 UTC
Thanks for the quick responses!

Comment 7 Gwyn Ciesla 2016-06-07 19:13:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/commissaire-client

Comment 8 William Moreno 2016-07-01 18:20:55 UTC
Hi.

I see than there are builds of this package in f23 and f24 but I do not see a update in bodhi, please remember to request the update in bodhi.


Note You need to log in before you can comment on or make changes to this bug.